summaryrefslogtreecommitdiff
path: root/source3/script/tests
diff options
context:
space:
mode:
authorJim McDonough <jmcd@samba.org>2006-05-24 19:07:21 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 11:17:11 -0500
commit78d733e6672e81c1b3411ce2377c74f1520b51c2 (patch)
treef1aaca0ba7bd86c16265ba2d3816e113d132060b /source3/script/tests
parent4347799f26004de07dffd617eddfb3989af5c24b (diff)
downloadsamba-78d733e6672e81c1b3411ce2377c74f1520b51c2.tar.gz
samba-78d733e6672e81c1b3411ce2377c74f1520b51c2.tar.bz2
samba-78d733e6672e81c1b3411ce2377c74f1520b51c2.zip
r15872: Take one step toward getting this working on AIX. the [-z ] stuff
doesn't work there. (This used to be commit 0ee78d96d9bd039084a270172316d80df4c00248)
Diffstat (limited to 'source3/script/tests')
-rw-r--r--source3/script/tests/test_functions.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/source3/script/tests/test_functions.sh b/source3/script/tests/test_functions.sh
index 4e3b8ce7db..4134376bfc 100644
--- a/source3/script/tests/test_functions.sh
+++ b/source3/script/tests/test_functions.sh
@@ -40,7 +40,7 @@ samba3_check_or_start() {
rm -f $NMBD_TEST_LOG
echo -n "STARTING NMBD..."
((
- if [ -z "$NMBD_MAXTIME" ]; then
+ if ! test -n "$NMBD_MAXTIME"; then
NMBD_MAXTIME=2700
fi
timelimit $NMBD_MAXTIME $NMBD_VALGRIND $SRCDIR/bin/nmbd -F -S --no-process-group -d0 -s $SERVERCONFFILE > $NMBD_TEST_LOG 2>&1 &
@@ -69,7 +69,7 @@ samba3_check_or_start() {
rm -f $SMBD_TEST_LOG
echo -n "STARTING SMBD..."
((
- if [ -z "$SMBD_MAXTIME" ]; then
+ if ! test -n "$SMBD_MAXTIME"; then
SMBD_MAXTIME=2700
fi
timelimit $SMBD_MAXTIME $SMBD_VALGRIND $SRCDIR/bin/smbd -F -S --no-process-group -d0 -s $SERVERCONFFILE > $SMBD_TEST_LOG 2>&1 &